#include <iostream>

using namespace std;

int main()
{
    int n, m;
    cin >> n>> m;
    int a[n];
    int s=0;
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
        s+=a[i];
    }
    int niz[m];
    for(int i = 0; i < m; i++) niz[i] = 0;
    int x = (m+1)/2;
    if(s<(n*m/2))
    {
        for(int i = 0; i < n; i++)
        {

            if(a[i] < x)
            {
                for(int j = 0; j < a[i]; j++)
                {
                    niz[j]++;
                }
            }
            else
            {

                for(int j = a[i]; j < m; j++)
                {
                    niz[j]++;
                }
            }
        }
    }
    if(s>=(n*m/2))
    {
        for(int i = 0; i < n; i++)
        {

            if(a[i] > x)
            {
                for(int j = 0; j < a[i]; j++)
                {
                    niz[j]++;
                }
            }
            else
            {

                for(int j = a[i]; j < m; j++)
                {
                    niz[j]++;
                }
            }
        }
    }
    int rere=0;
    for(int i = 0; i < m; i++) rere += niz[i] * (n - niz[i]);
    cout << rere;
    return 0;
}